%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging
Version:          3.5.3
Release:          %mkrel 1
Group:            Development/Java
Summary:          The JBoss Logging Framework
License:          Apache-2.0

URL:              https://github.com/jboss-logging/jboss-logging
Source0:          %{url}/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
Patch1:           0001-Drop-log4j-dependency.patch
Patch2:           0002-Drop-jboss-logmanager-dependency.patch
Patch3:           0003-Drop-TestCase-that-depend-on-retired-package.patch

BuildArch:        noarch
#ExclusiveArch:    %%{java_arches} noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.junit:junit-bom:pom:)
BuildRequires:    mvn(org.apache.logging:logging-parent:pom:)
BuildRequires:    mvn(org.slf4j:slf4j-api)

%description
This package contains the JBoss Logging Framework.

%prep
%autosetup -n %{name}-%{namedversion} -p 1

# Unneeded tasks
%pom_remove_dep ch.qos.logback:logback-classic
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin io.github.dmlloyd.module-info:module-info

%pom_set_parent org.apache.logging:logging-parent

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt




%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 3.5.3-1.mga10
+ Revision: 1986695
- Rebase to version 3.5.3.Final

* Sat Mar 26 2022 umeabot <umeabot> 3.4.1-4.mga9
+ Revision: 1827658
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 neoclust <neoclust> 3.4.1-3.mga8
+ Revision: 1664442
- Switch from log4j 1.2 compat package to log4j 1.2 API shim.

* Sun Feb 16 2020 umeabot <umeabot> 3.4.1-2.mga8
+ Revision: 1536304
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 3.4.1-1.mga8
+ Revision: 1453772
- Update to version 3.4.1

* Tue Sep 18 2018 umeabot <umeabot> 3.3.0-2.mga7
+ Revision: 1262468
- Mageia 7 Mass Rebuild

* Thu May 11 2017 neoclust <neoclust> 3.3.0-1.mga6
+ Revision: 1100234
- New version 3.3.0
- Second rebuild of the java stack
+ daviddavid <daviddavid>
- fix FTBFS rhbz#1307647
- fix BR list and use BR mvn()-like
- introduce license macro
- fix some rpmlint problem

* Fri Feb 26 2016 neoclust <neoclust> 3.1.4-5.mga6
+ Revision: 979530
- First rebuild of the java stack
- sync package jboss-logging with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 3.1.4-1.mga5
+ Revision: 807655
- Sync with Fedora 21 (update to 3.1.4)

* Wed Oct 15 2014 umeabot <umeabot> 3.1.3-4.mga5
+ Revision: 749989
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.1.3-2.mga4
+ Revision: 541192
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 3.1.3-1.mga4
+ Revision: 495337
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.1.0-4.mga3
+ Revision: 355063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.1.0-3.mga3
+ Revision: 331811
- Java Stack Mass Rebuild

* Fri Mar 02 2012 dmorgan <dmorgan> 3.1.0-2.mga2
+ Revision: 216971
- Clean spec file
+ gil <gil>
- update to 3.1.0.GA
- update to 3.1.0.CR1
- imported package jboss-logging


* Thu Jul 28 2011 Marek Goldmann <mgoldman@redhat.com> 3.0.0-1
- Initial packaging

